DEBCONF.FR.1(1)

NOM
debconf - Exécuter un programme utilisant debconf

SYNOPSIS
 debconf [options] commande [args]

DESCRIPTION
Debconf est un système de configuration pour les paquets Debian. Pour faire un tour d'horizon de debconf et pour obtenir de la documentation pour les administrateurs système, veuillez consulter debconf(7).

Le programme debconf exécute un programme sous contrôle de debconf, en le configurant pour communiquer avec debconf sur l'entrée et la sortie standard. La sortie du programme sera l'une des commandes du protocole debconf, et les codes résultants seront lus sur l'entrée standard. Pour plus de détails sur le protocole de debconf, veuillez consulter debconf-devel(7).

La commande à exécuter depuis debconf doit être spécifiée de manière à ce qu'elle soit trouvée dans votre PATH.

OPTIONS

-opaquet, --owner=paquet
    Indique à debconf à quel paquet appartient la commande exécutée. C'est nécessaire pour que les droits de propriété des questions enregistrées soient bons et pour que les commandes « purge » et « unregister » soient gérées correctement.

-ftype, --frontend=type
    Sélectionner l'interface à utiliser.

-pvaleur, --priority=valeur
    Spécifier la priorité minimale des questions qui vont être posées.

EXEMPLES
Pour déboguer un script shell qui utilise debconf, vous devriez utiliser :

 DEBCONF_DEBUG=developer debconf mon-script-shell

Ou ceci :

 debconf --frontend=readline sh -x mon-script-shell

VOIR AUSSI
debconf-devel(7), debconf(7)

AUTEUR
Joey Hess <joeyh@debian.org>

TRADUCTION
Julien Louis <ptitlouis@sysif.net>, 2005

Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>, 2006